Bug 73304 - Tripwire on 5.3.x (with fix attached)
Summary: Tripwire on 5.3.x (with fix attached)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cy Schubert
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-10-30 07:40 UTC by Patrick Dung
Modified: 2005-04-13 05:38 UTC (History)
0 users

See Also:


Attachments
file.diff (2.09 KB, patch)
2004-10-30 07:40 UTC, Patrick Dung
no flags Details | Diff
patch (2.43 KB, patch)
2004-10-30 14:32 UTC, patdung100
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Dung 2004-10-30 07:40:17 UTC
      Tripwire cannot be built on 5.x.

To solve it, there are two solutions:
1. Fix tripwire/stlport to build with gcc 3.x
2. Use gcc 2.95.3 to build tripwire/stlport.

Attached in the 'Fix' section is the second solution.
Note that I can compile this on FreeBSD 5.3.
I don't know if it will break on FreeBSD < 5.3 or in 4.x.

How-To-Repeat:       N/A
Comment 1 patdung100 2004-10-30 14:32:06 UTC
Opps. I mixed up something. The attached files should be the correct patch.
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2004-10-30 18:47:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->cy

Over to maintainer.
Comment 3 Cy Schubert 2004-11-12 20:25:47 UTC
This is definitely a simpler approach than I am taking. It will be worth 
while to implement this fix until my patches to get tripwire to compile 
using the current compiler shipped with 5.3. I will implement this in the 
interim until I can get tripwire to compile cleanly and run cleanly on a 
5.x system.

Currently my patches that will eventually work with the current compiler in 
5.3 compile cleanly but segfault.

I will test your patch this weekend and hopefully commit it.

I will add a comment to the USE_GCC (etc.) that this is only a temporary 
measure until the real fix is working.


Cheers,
Cy Schubert <Cy.Schubert@komquats.com>
Web:  http://www.komquats.com and http://www.bcbodybuilder.com
FreeBSD UNIX:  <cy@FreeBSD.org>   Web:  http://www.FreeBSD.org
BC Government:  <Cy.Schubert@gems8.gov.bc.ca>

    "Lift long enough and I believe arrogance is replaced by
    humility and fear by courage and selfishness by generosity
    and rudeness by compassion and caring."
        -- Dave Draper
Comment 4 patdung100 2004-11-13 04:00:32 UTC
Hi

I have not tested the patch in 4-stable.
I guess in my patch, the lines with 'pthread' may cause compile problem
in 4-stable. (Anyway, 4-stable can compile tripwire with the system
compiler)

BTW, I guess you have already heard of this gcc3 patch for tripwire:
http://sourceforge.net/tracker/?group_id=3130&atid=303130
But it seems it is for Linux..

Regards
Patrick

_________________________________________________________
¥²±þ§Þ¡B¶¼ºq¡B¤p¬P¬P...
®öº©¹aÁn  ±¡¤ß³sô
http://us.rd.yahoo.com/evt=22281/*http://ringtone.yahoo.com.hk/
Comment 5 Cy Schubert 2004-11-13 04:11:42 UTC
I'm working on packaging a different gcc3 patch. It works under Solaris, =

though. In the mean time I will use your patch with some .if statements t=
o =

only perform the extra patches under 5.x.


Cheers,
Cy Schubert <Cy.Schubert@komquats.com>
Web:  http://www.komquats.com and http://www.bcbodybuilder.com
FreeBSD UNIX:  <cy@FreeBSD.org>   Web:  http://www.FreeBSD.org
BC Government:  <Cy.Schubert@gems8.gov.bc.ca>

    "Lift long enough and I believe arrogance is replaced by
    humility and fear by courage and selfishness by generosity
    and rudeness by compassion and caring."
        -- Dave Draper

In message <20041113040032.41683.qmail@web51808.mail.yahoo.com>, Patrick =

Dung w
rites:
> Hi
> =

> I have not tested the patch in 4-stable.
> I guess in my patch, the lines with 'pthread' may cause compile problem=

> in 4-stable. (Anyway, 4-stable can compile tripwire with the system
> compiler)
> =

> BTW, I guess you have already heard of this gcc3 patch for tripwire:
> http://sourceforge.net/tracker/?group_id=3D3130&atid=3D303130
> But it seems it is for Linux..
> =

> Regards
> Patrick
> =

> _________________________________________________________
> =A5=B2=B1=FE=A7=DE=A1B=B6=BC=BAq=A1B=A4p=ACP=ACP...
> =AE=F6=BA=A9=B9a=C1n  =B1=A1=A4=DF=B3s=C3=B4
> http://us.rd.yahoo.com/evt=3D22281/*http://ringtone.yahoo.com.hk/
Comment 6 uqjhatto 2005-02-21 05:16:35 UTC
Hi,

First, the patch worked fine for me on 5.3 - built without errors
ok.

There appears to be a problem with interactive updating. The editor
appears to launch ok and the output is editable, but saving attempts
result in:

twtempWzAC1h: 176962 lines, 11693479 characters
Interactive Update failed.
### Error: Editor could not be launched.
### /usr/bin/vi
### Exiting...

I'm running as root in an xterm, with a valid .Xauthority file and
DISPLAY set to :0.0. There is a patch for a similar error at:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=97390

I'm not sure yet if the fix described here will work as I have no
problem launching the editor and don't see the same Xlib errors -
the failure only occurs at the point of saving.

cheers,
joel
Comment 7 Cy Schubert freebsd_committer 2005-04-13 05:37:22 UTC
State Changed
From-To: open->closed

Implemented the patch in the PR until a more permanent solution can be found. 
Thanks for the patch.